
QGIS Application - Bug report #1410

ASSERT failure when adding WMS service with bogous EPSG code

2008-11-18 03:28 AM - marisn -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: Gentoo Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11470

Description

Connect to GISnet WMS service (http://www.gisnet.lv/cgi-bin/topo), choose option to change SRS:

"ASSERT failure in QList<T>::at: \\"index out of range\\"

This happens due to malformed SRS definition:

<Layer>

    <Name>Atlants</Name>

    <Title>Latvijas topogrÄfiskÄs kartes</Title>

    <SRS>EPSG</SRS>

    <SRS>900913</SRS>

    <SRS>EPSG:3059</SRS>

    <SRS>EPSG:4269</SRS>

    <SRS>EPSG:4326</SRS>

    <LatLonBoundingBox minx="4.35856" miny="51.03" maxx="47.6012" maxy="72.5897" />

    <BoundingBox SRS="EPSG:3059" 

                minx="-181650" miny="-279040" maxx="1.33378e+06" maxy="2.05472e+06" />

gdb bt:

Fatal: ASSERT failure in QList<T>::at: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 393

Program received signal SIGABRT, Aborted.

[Switching to Thread 0xb60ed720 (LWP 10939)]

0xb7f39424 in +kernel_vsyscall ()

(gdb) bt

#0  0xb7f39424 in +kernel_vsyscall ()

#3905  0xb6819fd5 in raise () from /lib/libc.so.6

#3906  0xb681b7e1 in abort () from /lib/libc.so.6

#3907  0x080e5091 in myMessageOutput (type=QtFatalMsg,

    msg=0xbf84de1c "ASSERT failure in QList<T>::at: \\"index out of range\\", file /usr/include/qt4/QtCore/qlist.h, line 393") at

/home/ddd/soft/qgis_unstable/src/app/main.cpp:228

#3908  0xb7d6892b in qt_message_output () from /usr/lib/qt4/libQtCore.so.4

#3909  0xb7d68a47 in qFatal () from /usr/lib/qt4/libQtCore.so.4

#3910  0xb7d68a8e in qt_assert_x () from /usr/lib/qt4/libQtCore.so.4

#3911  0x081146a8 in QList<QString>::at (this=0xbf84fe90, i=1) at /usr/include/qt4/QtCore/qlist.h:393

#3912  0xb6f9cb0e in [[QgsProjectionSelector]]::ogcWmsCrsFilterAsSqlExpression (this=0x86f8410, crsFilter=0x86f8468)

    at /home/ddd/soft/qgis_unstable/src/gui/qgsprojectionselector.cpp:137
#3913  0xb6f9cd90 in [[QgsProjectionSelector]]::loadCrsList (this=0x86f8410, crsFilter=0x86f8468)

    at /home/ddd/soft/qgis_unstable/src/gui/qgsprojectionselector.cpp:562

#10 0xb6f9e6df in [[QgsProjectionSelector]]::showEvent (this=0x86f8410, theEvent=0xbf850400)

    at /home/ddd/soft/qgis_unstable/src/gui/qgsprojectionselector.cpp:79

#3914 0xb75ebb5e in QWidget::event () from /usr/lib/qt4/libQtGui.so.4

#3915 0xb7598a8d in QApplicationPrivate::notify_helper () from /usr/lib/qt4/libQtGui.so.4

#3916 0xb759d46e in QApplication::notify () from /usr/lib/qt4/libQtGui.so.4

#3917 0xb708348a in [[QgsApplication]]::notify (this=0xbf852334, receiver=0x86f8410, event=0xbf850400)

    at /home/ddd/soft/qgis_unstable/src/core/qgsapplication.cpp:78

#3918 0xb7e5318d in QCoreApplication::notifyInternal () from /usr/lib/qt4/libQtCore.so.4

#3919 0xb75e9fcb in QWidgetPrivate::show_helper () from /usr/lib/qt4/libQtGui.so.4

#3920 0xb75ea528 in QWidget::setVisible () from /usr/lib/qt4/libQtGui.so.4

#3921 0xb75e9e3d in QWidgetPrivate::showChildren () from /usr/lib/qt4/libQtGui.so.4

#3922 0xb75e9ee7 in QWidgetPrivate::show_helper () from /usr/lib/qt4/libQtGui.so.4

#3923 0xb75ea528 in QWidget::setVisible () from /usr/lib/qt4/libQtGui.so.4

#3924 0xb79d5104 in QDialog::setVisible () from /usr/lib/qt4/libQtGui.so.4

#3925 0xb79d40ab in QDialog::exec () from /usr/lib/qt4/libQtGui.so.4

#3926 0x081ff25a in [[QgsServerSourceSelect]]::on_btnChangeSpatialRefSys_clicked (this=0x86b43f0)

    at /home/ddd/soft/qgis_unstable/src/app/qgsserversourceselect.cpp:398

---Type <return> to continue, or q <return> to quit---

#3927 0x082932e1 in [[QgsServerSourceSelect]]::qt_metacall (this=0x86b43f0, _c=QMetaObject::InvokeMetaMethod, _id=5,

    _a=0xbf85079c) at /home/ddd/soft/qgis_unstable/src/app/moc_qgsserversourceselect.cxx:90

#3928 0xb7e66ead in QMetaObject::activate () from /usr/lib/qt4/libQtCore.so.4

#3929 0xb7e672b2 in QMetaObject::activate () from /usr/lib/qt4/libQtCore.so.4

#3930 0xb7b3e663 in QAbstractButton::clicked () from /usr/lib/qt4/libQtGui.so.4

#3931 0xb78b8b19 in QAbstractButtonPrivate::emitClicked () from /usr/lib/qt4/libQtGui.so.4

#3932 0xb78b9ef4 in QAbstractButtonPrivate::click () from /usr/lib/qt4/libQtGui.so.4

#3933 0xb78ba0fc in QAbstractButton::mouseReleaseEvent () from /usr/lib/qt4/libQtGui.so.4

#3934 0xb75ebfee in QWidget::event () from /usr/lib/qt4/libQtGui.so.4

#3935 0xb78b8ce7 in QAbstractButton::event () from /usr/lib/qt4/libQtGui.so.4

#3936 0xb7957c4e in QPushButton::event () from /usr/lib/qt4/libQtGui.so.4

#3937 0xb7598a8d in QApplicationPrivate::notify_helper () from /usr/lib/qt4/libQtGui.so.4

#3938 0xb759d803 in QApplication::notify () from /usr/lib/qt4/libQtGui.so.4

#36 0xb708348a in [[QgsApplication]]::notify (this=0xbf852334, receiver=0x86b5e68, event=0xbf850e80)

    at /home/ddd/soft/qgis_unstable/src/core/qgsapplication.cpp:78

#37 0xb7e5318d in QCoreApplication::notifyInternal () from /usr/lib/qt4/libQtCore.so.4

#38 0xb759cfd8 in QApplicationPrivate::sendMouseEvent () from /usr/lib/qt4/libQtGui.so.4

#39 0xb75fead1 in QETWidget::translateMouseEvent () from /usr/lib/qt4/libQtGui.so.4

#40 0xb75fd7e3 in QApplication::x11ProcessEvent () from /usr/lib/qt4/libQtGui.so.4

#41 0xb7622027 in QEventDispatcherX11::processEvents () from /usr/lib/qt4/libQtGui.so.4

#42 0xb7e52473 in QEventLoop::processEvents () from /usr/lib/qt4/libQtCore.so.4

#43 0xb7e525e3 in QEventLoop::exec () from /usr/lib/qt4/libQtCore.so.4

#44 0xb79d40f4 in QDialog::exec () from /usr/lib/qt4/libQtGui.so.4

#45 0x080f35b8 in [[QgisApp]]::addWmsLayer (this=0x8362298) at /home/ddd/soft/qgis_unstable/src/app/qgisapp.cpp:2266

#46 0x0828da7c in [[QgisApp]]::qt_metacall (this=0x8362298, _c=QMetaObject::InvokeMetaMethod, _id=88, _a=0xbf85159c)

    at /home/ddd/soft/qgis_unstable/src/app/moc_qgisapp.cxx:330

#47 0xb7e66ead in QMetaObject::activate () from /usr/lib/qt4/libQtCore.so.4

#48 0xb7e672b2 in QMetaObject::activate () from /usr/lib/qt4/libQtCore.so.4

#49 0xb7592451 in QAction::triggered () from /usr/lib/qt4/libQtGui.so.4

#50 0xb7592d02 in QAction::activate () from /usr/lib/qt4/libQtGui.so.4

#51 0xb7989748 in QToolButton::nextCheckState () from /usr/lib/qt4/libQtGui.so.4

---Type <return> to continue, or q <return> to quit---

#52 0xb78b9eb3 in QAbstractButtonPrivate::click () from /usr/lib/qt4/libQtGui.so.4
#53 0xb78ba0fc in QAbstractButton::mouseReleaseEvent () from /usr/lib/qt4/libQtGui.so.4

#54 0xb7989812 in QToolButton::mouseReleaseEvent () from /usr/lib/qt4/libQtGui.so.4

#55 0xb75ebfee in QWidget::event () from /usr/lib/qt4/libQtGui.so.4

#56 0xb78b8ce7 in QAbstractButton::event () from /usr/lib/qt4/libQtGui.so.4

#57 0xb7989532 in QToolButton::event () from /usr/lib/qt4/libQtGui.so.4

#58 0xb7598a8d in QApplicationPrivate::notify_helper () from /usr/lib/qt4/libQtGui.so.4

#59 0xb759d803 in QApplication::notify () from /usr/lib/qt4/libQtGui.so.4

#60 0xb708348a in [[QgsApplication]]::notify (this=0xbf852334, receiver=0x83fb2c0, event=0xbf851cb0)

    at /home/ddd/soft/qgis_unstable/src/core/qgsapplication.cpp:78

#61 0xb7e5318d in QCoreApplication::notifyInternal () from /usr/lib/qt4/libQtCore.so.4

#62 0xb759cfd8 in QApplicationPrivate::sendMouseEvent () from /usr/lib/qt4/libQtGui.so.4

#63 0xb75fead1 in QETWidget::translateMouseEvent () from /usr/lib/qt4/libQtGui.so.4

#64 0xb75fd7e3 in QApplication::x11ProcessEvent () from /usr/lib/qt4/libQtGui.so.4

#65 0xb7622027 in QEventDispatcherX11::processEvents () from /usr/lib/qt4/libQtGui.so.4

#66 0xb7e52473 in QEventLoop::processEvents () from /usr/lib/qt4/libQtCore.so.4

#67 0xb7e525e3 in QEventLoop::exec () from /usr/lib/qt4/libQtCore.so.4

#68 0xb7e5446e in QCoreApplication::exec () from /usr/lib/qt4/libQtCore.so.4

#69 0xb759849d in QApplication::exec () from /usr/lib/qt4/libQtGui.so.4

#70 0x080e7741 in main (argc=1, argv=0xbf8525f4) at /home/ddd/soft/qgis_unstable/src/app/main.cpp:683

Associated revisions

Revision 26482e8a - 2008-11-18 02:52 PM - Jürgen Fischer

fix #1410

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9665 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision e0982fca - 2008-11-18 02:52 PM - Jürgen Fischer

fix #1410

git-svn-id: http://svn.osgeo.org/qgis/trunk@9665 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-11-18 05:52 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:e0982fca (SVN r9666)

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
